## mlt 7.4.0-1~ubuntu20.04.1+10.0trisquel2

=== debian/changelog ===
mlt (7.4.0-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 08 Jan 2022 18:36:45 +0000

mlt (7.4.0-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Vincent Pinon <vpinon@kde.org>  Sat, 08 Jan 2022 18:12:01 +0000

mlt (7.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to CMake build system

 -- Vincent Pinon <vpinon@kde.org>  Sun, 18 Jul 2021 22:36:24 +0200
