=== debian/changelog ===
mlt (7.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Explicit use buildsystem cmake.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Apr 2022 11:11:30 +0200
