=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Build-Depends: debhelper-compat (= 13),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
@@ -21,6 +22,7 @@
  libsox-dev (>= 14.3.0),
  libswscale-dev,
  librubberband-dev,
+ libopencv-dev,
  libvorbis-dev,
  libvidstab-dev,
  libxine2-dev,
@@ -31,14 +33,15 @@
  swig,
  libebur128-dev (>= 1.2.0-2),
  python3-dev,
- dh-python,
- cmake
-Standards-Version: 4.5.1
+ cmake,
+ chrpath,
+ dh-python
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
 
-Package: libmlt7-dev
+Package: libmlt-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -60,7 +63,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Recommends: libmlt7-data (>= ${source:Version})
+Recommends: libmlt-data (>= ${source:Version})
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -72,7 +75,7 @@
  This package contains the files necessary for running applications that
  use the MLT multimedia framework.
 
-Package: libmlt7-data
+Package: libmlt-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
@@ -87,7 +90,7 @@
  .
  This package contains the data files for the MLT multimedia framework.
 
-Package: libmlt++7-dev
+Package: libmlt++-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -120,18 +123,18 @@
  This package contains the files necessary for running applications that
  use the MLT multimedia framework C++ wrapper.
 
-Package: melt-7
+Package: melt
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libmlt7-data (>= ${source:Version})
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python3-mlt7
+Package: python3-mlt
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends},
