## mlt 7.8.0+us

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(MLT
-  VERSION 7.6.0
+  VERSION 7.8.0
   DESCRIPTION "Multimedia Framework"
   HOMEPAGE_URL "https://www.mltframework.org"
   LANGUAGES C CXX
@@ -11,11 +11,13 @@
 option(GPL3 "Enable GPLv3 components" ON)
 option(BUILD_TESTING "Enable tests" OFF)
 option(BUILD_DOCS "Enable Doxygen documentation" OFF)
+option(BUILD_WITH_QT6 "Build against Qt 6" OFF)
 
 option(MOD_AVFORMAT "Enable avformat module" ON)
 option(MOD_DECKLINK "Enable DeckLink module" ON)
 option(MOD_FREI0R "Enable Frei0r module" ON)
 option(MOD_GDK "Enable GDK module" ON)
+option(MOD_GLAXNIMATE "Enable Glaxnimate module" OFF)
 option(MOD_JACKRACK "Enable JACK Rack module" ON)
 option(MOD_KDENLIVE "Enable Kdenlive module" ON)
 option(MOD_NDI "Enable NDI module" OFF)
@@ -168,8 +170,14 @@
 
 pkg_check_modules(sdl2 IMPORTED_TARGET sdl2)
 
+if (BUILD_WITH_QT6)
+    set(QT_MAJOR_VERSION 6)
+else()
+    set(QT_MAJOR_VERSION 5)
+endif()
+
 if(BUILD_TESTING)
-  find_package(Qt5 REQUIRED COMPONENTS Core Test)
+  find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core Test)
   find_package(Kwalify REQUIRED)
   enable_testing()
 endif()
@@ -232,6 +240,15 @@
   endif()
 endif()
 
+if(MOD_GLAXNIMATE)
+  find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Core Gui Widgets Xml)
+  if(Qt${QT_MAJOR_VERSION}_FOUND)
+    list(APPEND MLT_SUPPORTED_COMPONENTS qt)
+  else()
+    set(MOD_GLAXNIMATE OFF)
+  endif()
+endif()
+
 if(MOD_JACKRACK)
   find_package(JACK)
   pkg_check_modules(glib IMPORTED_TARGET glib-2.0)
@@ -288,8 +305,13 @@
 endif()
 
 if(MOD_QT)
-  find_package(Qt5 COMPONENTS Core Gui Xml Svg Widgets)
-  if(Qt5_FOUND)
+  find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Core Xml)
+  if(QT_MAJOR_VERSION EQUAL 6)
+    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS SvgWidgets Core5Compat)
+  else()
+    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Gui Svg Widgets)
+  endif()
+  if(Qt${QT_MAJOR_VERSION}_FOUND)
     list(APPEND MLT_SUPPORTED_COMPONENTS qt)
   else()
     set(MOD_QT OFF)
@@ -396,36 +418,3 @@
 
 if(SWIG_NODEJS)
   find_package(Node REQUIRED)
-  if(NODE_VERSION_MAJOR VERSION_GREATER_EQUAL 12 AND SWIG_VERSION VERSION_LESS 4.1)
-    # https://github.com/swig/swig/issues/1520
-    set(SWIG_NODEJS OFF)
-  endif()
-endif()
-
-if(SWIG_PERL)
-  find_package(PerlLibs REQUIRED)
-endif()
-
-if(SWIG_PHP)
-  find_package(PHP REQUIRED)
-endif()
-
-if(SWIG_PYTHON)
-  find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
-endif()
-
-if(SWIG_RUBY)
-  find_package(Ruby REQUIRED)
-endif()
-
-if(SWIG_TCL)
-  find_package(TCL REQUIRED)
-endif()
-
-if(BUILD_DOCS)
-  find_package(Doxygen REQUIRED)
-
-  set(DOXYGEN_OUTPUT_DIRECTORY "docs")
-  set(DOXYGEN_ABBREVIATE_BRIEF "")
-  set(DOXYGEN_STRIP_FROM_PATH "src/framework/")
-  set(DOXYGEN_JAVADOC_AUTOBRIEF "YES")
