=== debian/changelog ===
mlt (7.8.0+us-0ubuntu1) kinetic; urgency=medium

  * Provide correct upstream source tarball (+us) (LP: #1987960)
  * d\rules: add -DMOD_GLAXNIMATE=ON to flags for glaxnimate submodule
  * d\control: add qt5base-dev, libarchive-dev to build-deps

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Aug 2022 16:25:36 -0700
