=== debian/control ===
--- 
+++ 
@@ -35,7 +35,9 @@
  python3-dev,
  cmake,
  chrpath,
- dh-python
+ dh-python,
+ qtbase5-dev,
+ libarchive-dev
 Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
