=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	-DSWIG_PYTHON=ON \
-	-DMOD_OPENCV=ON
+	-DMOD_OPENCV=ON \
+	-DMOD_GLAXNIMATE=ON
 
 %:
 	dh $@ --with python3 --buildsystem=cmake
