## mlt 7.8.0-1~ubuntu20.04.1+10.0trisquel2

=== debian/changelog ===
mlt (7.8.0-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Jul 2022 20:02:19 +0000

mlt (7.8.0-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Wed, 06 Jul 2022 23:26:20 +0000

mlt (7.5.0+git20220214-1) unstable; urgency=medium

  * pick CMake build system (new makefile is not for building)

 -- Vincent Pinon <vpinon@kde.org>  Mon, 14 Feb 2022 18:03:44 +0200
