## mlt 7.10.0

=== debian/changelog ===
mlt (7.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch to work again with GitHub.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Nov 2022 15:30:46 +0100

mlt (7.8.0+repack1-2) unstable; urgency=medium

  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.
  * Adjust debian/watch to mangle the repack from the version string.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:44 +0200

mlt (7.8.0+repack1-1) unstable; urgency=medium

  * Use correct upstream tarball.
  * Add libarchive-dev build dependency.
  * Build new glaxnimate submodule.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Aug 2022 10:38:59 +0200
