## mlt 7.10.0-1~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
mlt (7.10.0-1~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 04 Nov 2022 01:10:29 +0000

mlt (7.10.0-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Thu, 03 Nov 2022 23:07:03 +0000
